﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PuferFishContracts.Enums;
using PuferFishContracts.Extensions;
using PuferFishContracts.Exceptions;
using PuferFishContracts.Infrastructure;
using System.Xml;

namespace PuferFishContracts.DataModels
{
    public class PostDataModel(string postId, string postName, PostType postType) : IValidation
    {
        public string Id { get; private set; } = postId;
        public string PostName { get; private set; } = postName;
        public PostType PostType { get; private set; } = postType;
        public void Validate()
        {
            if (Id.IsEmpty())
                throw new ValidationException("Field Id is empty");
            if (!Id.IsGuid())
                throw new ValidationException("The value in the field Id is not a unique identifier");
            if (PostName.IsEmpty())
                throw new ValidationException("Field PostName is empty");
            if (PostType == PostType.None)
                throw new ValidationException("Field PostType is empty");
        }

    }
}
